package com.its.wthr.webapp.vo;

import java.util.ArrayList;
import java.util.List;

public class FileInfoVo {
	private List<FileInfoVo> fileInfos = new ArrayList<>();
	private int id;
	private int parentId;
	private String type;
	private String fileName;
	private long fileSize;
	private String filePath;

	public List<FileInfoVo> getFileInfos() {
		return this.fileInfos;
	}

	public int getId() {
		return this.id;
	}

	public int getParentId() {
		return this.parentId;
	}

	public String getType() {
		return this.type;
	}

	public String getFileName() {
		return this.fileName;
	}

	public long getFileSize() {
		return this.fileSize;
	}

	public String getFilePath() {
		return this.filePath;
	}

	public void setFileInfos(final List<FileInfoVo> fileInfos) {
		this.fileInfos = fileInfos;
	}

	public void setId(final int id) {
		this.id = id;
	}

	public void setParentId(final int parentId) {
		this.parentId = parentId;
	}

	public void setType(final String type) {
		this.type = type;
	}

	public void setFileName(final String fileName) {
		this.fileName = fileName;
	}

	public void setFileSize(final long fileSize) {
		this.fileSize = fileSize;
	}

	public void setFilePath(final String filePath) {
		this.filePath = filePath;
	}

	
	public String toString() {
		return "voFileInfo(fileInfos=" + this.getFileInfos() + ", id=" + this.getId() + ", parentId="
				+ this.getParentId() + ", type=" + this.getType() + ", fileName=" + this.getFileName() + ", fileSize="
				+ this.getFileSize() + ", filePath=" + this.getFilePath() + ")";
	}
}